#!/bin/bash

function usage {
	echo 'usage : '$(basename $0) 'camel-case-file'
}

[[ $# -eq 0 ]] && usage && exit 0

for src in $@;do
	echo $src:
	echo -e '\n'
	sed -E 's/\B([[:upper:]])/_\1/g' ${src} | sed -E 's/([a-zA-Z].*)/\U\1/g'
	echo -e '\n'
done

